/*
 * @(#)MaachangSyncDef.java
 *
 * Copyright (c) 2007 masahito suzuki, Inc. All Rights Reserved
 */
package org.maachang.sync ;

/**
 * MaachangSync定義.
 *
 * @version 2007/05/19
 * @author  masahito suzuki
 * @since   MaachangSync 1.00
 */
public class MaachangSyncDef {
    
    /**
     * デフォルトキーコード名.
     */
    public static final String DEFAULT_KEY = "default-key" ;
    
    /**
     * デフォルトポート番号.
     */
    public static final int DEFAULT_PORT = 23456 ;
    
    /**
     * アクセプトタイムアウト.
     */
    public static final long ACCEPT_TIMEOUT = 15000L ;
    
    /**
     * デフォルトバイナリ.
     */
    public static final int DEFAULT_BINARY = 65535 ;
    
    /**
     * デフォルト同時接続数.
     */
    public static final int DEFAULT_BACKLOG = 5 ;
    
    /**
     * 文字キャラクタセット.
     */
    public static final String DEFAULT_CHARSET = "UTF8" ;
    
    /**
     * テンポラリ先頭ファイル名.
     */
    public static final String TEMP_FILENAME = ".#MAACHANG_SYNC#" ;
    
}
